Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 620746 - askmethod does not display URL entry dialog
askmethod does not display URL entry dialog
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
: Reopened, RHELNAK
Depends On:
Blocks: 582286
  Show dependency treegraph
 
Reported: 2010-08-03 07:57 EDT by Pavel Holica
Modified: 2010-11-10 14:52 EST (History)
8 users (show)

See Also:
Fixed In Version: anaconda-13.21.69-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:52:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
progress.png (58.72 KB, image/png)
2010-08-04 03:44 EDT, Pavel Holica
no flags Details

  None (edit)
Description Pavel Holica 2010-08-03 07:57:11 EDT
Description of problem:
Dialog for installation source appears in stage1 when booting from boot.iso (with default kernel argumets). Also, when one selects URL as installation source, NetworkManager dialog appears, but no URL dialog after setting network.

Version-Release number of selected component (if applicable):
RHEL6.0-20100730.5 i386 Server
anaconda-13.21.66-1.el6

How reproducible:
always

Steps to Reproduce:
1. boot boot.iso
2. select "Install or upgrade existing system"
3. press enter
4. skip media test
  
Actual results:
"Installation method" dialog is shown.

Expected results:
This dialog shouldn't be shown when askmethod is not set.

Additional info:
Comment 3 RHEL Product and Program Management 2010-08-03 08:27:45 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Chris Lumens 2010-08-03 10:17:06 EDT
> Dialog for installation source appears in stage1 when booting from boot.iso
> (with default kernel argumets).

This is expected.  The boot.iso does not contain any packages.  You need to tell anaconda where those packages are.

> Also, when one selects URL as installation
> source, NetworkManager dialog appears, but no URL dialog after setting network.

This is not expected.
Comment 6 RHEL Product and Program Management 2010-08-03 11:24:29 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.
Comment 7 Chris Lumens 2010-08-03 11:27:25 EDT
This is a valid bug.  Please do not close it without discussing with me.
Comment 8 Pavel Holica 2010-08-04 03:44:00 EDT
Created attachment 436459 [details]
progress.png

Well, if I use askmethod everything works as expected, but if I don't modify kernel arguments, dialog for "installation method" still appears and seems to ignore my choice.

Attaching screenshots of progress, when kernel arguments are not modified (askmethod is not used).
Comment 9 Pavel Holica 2010-08-04 03:47:34 EDT
I've tried to select "Hard drive", "NFS directory" methods too but it seems that cd-rom is always used despite the fact, that anaconda asks for network settings.
Comment 13 Alexander Todorov 2010-08-12 12:04:06 EDT
With snap #11 I've booted from boot.iso without modifying command line options. 

I was asked which install method to use. After selecting NFS I was presented with the screen to enter NFS server and directory. Installation proceeded to stage2 and later to installing packages. Moving to VERIFIED.
Comment 14 releng-rhel@redhat.com 2010-11-10 14:52:50 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.